
Foreman - Bug #26616

React Dates: Cast to ISO compatible format

04/15/2019 05:25 PM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee: Jonathon Turel   

Category: Web Interface   

Target version: 1.21.3   

Difficulty:  Fixed in Releases: 1.21.3, 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6683

  

Description

Our date components don't render dates properly in Firefox due to the format of the dates coming out of our APIs. For now we should

fix the components and leave the API intact.

Related issues:

Related to Foreman - Bug #26583: Use ActiveSupport::JSON as RABL json_engine Ready For Testing

Precedes Katello - Bug #26417: Dates missing/invalid throughout Katello Closed

Associated revisions

Revision 75ee53cd - 04/18/2019 07:24 AM - Jonathon Turel

Fixes #26616 - Cast dates to be ISO compatible

History

#1 - 04/15/2019 05:28 PM - Jonathon Turel

- Related to Bug #26583: Use ActiveSupport::JSON as RABL json_engine added

#2 - 04/15/2019 05:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6683 added

#3 - 04/18/2019 07:28 AM - Tomer Brisker

- Fixed in Releases 1.21.3, 1.22.0 added

#4 - 04/18/2019 08:01 AM - Jonathon Turel

- Status changed from Ready For Testing to Closed

Applied in changeset 75ee53cd9dd42208c0867944a29f107f07d8ca63.

#5 - 04/18/2019 08:51 AM - Tomer Brisker

- Category set to Web Interface

#6 - 04/18/2019 03:47 PM - Jonathon Turel

- Related to Bug #26417: Dates missing/invalid throughout Katello added

#7 - 04/18/2019 03:47 PM - Jonathon Turel

- Related to deleted (Bug #26417: Dates missing/invalid throughout Katello)

#8 - 04/18/2019 03:48 PM - Jonathon Turel

- Precedes Bug #26417: Dates missing/invalid throughout Katello added
